<?php
function cpt_projects(){
	global $options;
	if ( $options ) {  
		$url_rewrite = $options['ototw_project_item_url'];
		if( !$url_rewrite ) { $url_rewrite = 'projects'; }
	} else {
		$url_rewrite = 'projects';
	}
	register_post_type('projects',
		array(
			'labels' => array(
				'name' => __( 'Projects', 'ototw' ),
				'singular_name' => __( 'Project', 'ototw' ),
				'add_new' => __( 'Add new project', 'ototw' ),
				'add_new_item' => __( 'Add new project', 'ototw' ),
				'edit' => __( 'Edit', 'ototw' ),
				'edit_item' => __( 'Edit project', 'ototw' ),
				'new_item' => __( 'New project', 'ototw' ),
				'view' => __( 'View project', 'ototw' ),
				'view_item' => __( 'View project', 'ototw' ),
				'search_items' => __( 'Search projects', 'ototw' ),
				'not_found' => __( 'No project(s) found', 'ototw' ),
				'not_found_in_trash' => __( 'No project(s) found in Trash', 'ototw' ),
				'parent' => __( 'Parent project', 'ototw' ),
			),
			'singular_label' => __( 'Project', 'ototw' ),
			'public' => true,
			'show_ui' => true,
			'_builtin' => false,
			'capability_type' => 'post',
			'hierarchical' => true,
			'menu_position' => 15,
			'supports' => array('title','editor','author','thumbnail','page-attributes'),
			'menu_icon' => get_stylesheet_directory_uri() . '/images/wp_menu_projects.png',
			'rewrite' => array('slug' => $url_rewrite) 
		)
	); 
	flush_rewrite_rules();
}
function tax_projects() {
	global $options;
	if ( $options ) {  
		$url_item_rewrite = $options['ototw_project_item_type_url'];
		if( !$url_item_rewrite ) { $url_item_rewrite = 'projects-category'; }
	} else {
		$url_item_rewrite = 'projects-category';
	}
	
	register_taxonomy('projects_item_types', 'projects', 
		array( 
			'hierarchical' => true, 
			'labels' => array(
				  'name' => 'Categories',
				  'singular_name' => 'Categories',
				  'search_items' =>  'Search Categories',
				  'popular_items' => 'Popular Categories',
				  'all_items' => 'All Categories',
				  'parent_item' => 'Parent Categories',
				  'parent_item_colon' => 'Parent Category:',
				  'edit_item' => 'Edit Category',
				  'update_item' => 'Update Category',
				  'add_new_item' => 'Add New Category',
				  'new_item_name' => 'New Category Name'
			),
			'show_ui' => true,
			'query_var' => true, 
			'rewrite' => array('slug' => $url_item_rewrite)
		) 
	); 
	flush_rewrite_rules();	
}

add_action('init', 'cpt_projects');
add_action('init', 'tax_projects');